Support

Verify ACME challenges for pending server cert renewal

View as Markdown

Triggers ACME validation for a pending server certificate renewal.

Full description

Triggers ACME validation for a pending server certificate renewal. Verifies the DNS-01 (TXT record) and HTTP-01 (file at /.well-known/acme-challenge) challenges. Returns 202 for CSR renewals (async issuance) or 200 for BYOC renewals (certificate stored).

POST
/v1/agents/{agentId}/certificates/server/renewal/verify-acme

Path Parameters

agentId*string

Unique identifier of the agent (UUID format)

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/agents/string/certificates/server/renewal/verify-acme"
{  "status": "VERIFIED",  "csrId": "3081018b-0577-442d-b092-6e1f08ef6e0d",  "tlsaDnsRecord": {    "name": "string",    "priority": 0,    "purpose": "DISCOVERY",    "required": true,    "ttl": 3600,    "type": "HTTPS",    "value": "string"  },  "nextStep": {    "action": "CONFIGURE_DNS",    "description": "string",    "endpoint": "http://example.com"  }}

Last updated on

How is this guide?